/**
 * Style for ApModal.
 * @class ApModalStyle
 */

'use strict'

import React, {PropTypes as types} from 'react'
import {ApStyle} from 'apeman-react-style'

/** @lends ApModalStyle */
const ApModalStyle = React.createClass({
  propTypes: {
    style: types.object
  },
  getDefaultProps () {
    return {
      style: {}
    }
  },
  statics: {
    styleData (config) {
      return {
        all: {
          '.ap-modal': {
            lineHeight: '1em'
          },
          '.ap-modal .ap-view-stack': {
            background: 'rgba(0,0,0,0.2)',
            zIndex: 44
          },
          '.ap-modal .ap-view-stack .ap-view-stack-inner': {
            transition: 'opacity 100ms'
          }
        }
      }
    }
  },
  render () {
    const s = this
    let { props } = s

    let { all, small, medium, large } = ApModalStyle.styleData(props)

    return (
      <ApStyle data={ Object.assign(all, props.style) }
               smallMediaData={ small }
               mediumMediaData={ medium }
               largeMediaData={ large }
      >{ props.children }</ApStyle>
    )
  }
})

export default ApModalStyle
