/**
 * Style for ApModal.
 * @class ApModalStyle
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _apemanReactStyle = require('apeman-react-style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @lends ApModalStyle */
var ApModalStyle = _react2.default.createClass({
  displayName: 'ApModalStyle',

  propTypes: {
    style: _react.PropTypes.object
  },
  getDefaultProps: function getDefaultProps() {
    return {
      style: {}
    };
  },

  statics: {
    styleData: function styleData(config) {
      return {
        all: {
          '.ap-modal': {
            lineHeight: '1em'
          },
          '.ap-modal .ap-view-stack': {
            background: 'rgba(0,0,0,0.2)',
            zIndex: 44
          },
          '.ap-modal .ap-view-stack .ap-view-stack-inner': {
            transition: 'opacity 100ms'
          }
        }
      };
    }
  },
  render: function render() {
    var s = this;
    var props = s.props;

    var _ApModalStyle$styleDa = ApModalStyle.styleData(props);

    var all = _ApModalStyle$styleDa.all;
    var small = _ApModalStyle$styleDa.small;
    var medium = _ApModalStyle$styleDa.medium;
    var large = _ApModalStyle$styleDa.large;


    return _react2.default.createElement(
      _apemanReactStyle.ApStyle,
      { data: Object.assign(all, props.style),
        smallMediaData: small,
        mediumMediaData: medium,
        largeMediaData: large
      },
      props.children
    );
  }
});

exports.default = ApModalStyle;
//# sourceMappingURL=data:application/json;base64,bnVsbA==